Skip to main content

Comments

Comments aid conversation and collaboration around workspace datasets. Comments can be made on datasets, or other comments to form threads.


Objects

Comment

PathJSON TypeFormatDescription
idstringVersion 4 UUIDThe comment ID
messagestringThe comment message
likeCountnumberUnsigned integerThe number of likes the comment has received
likedByProfilesobject[]Array of MembersThe workspace members that have liked the comment
createdstringISO 8601 timestampTimestamp denoting when the comment was created
lastModifiedstringISO 8601 timestampTimestamp denoting when the comment was last modified
fromobjectMemberThe comment author
commentCountnumberUnsigned integerThe number of replies the comment has received
datasetIdstringVersion 4 UUIDThe ID of the dataset comment subject
parentIdstringVersion 4 UUIDThe ID of the parent comment
{
"id" : "1bbc6975-5cd0-4347-9a56-915305c802b5",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:06.413762208] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:06.440044",
"lastModified" : "2026-04-23T13:10:06.440044",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "POST"
}
}
}

Requests

View all comments on a dataset

GET /api/datasets/{dataset-id}/comments

Returns all comments on the dataset {dataset-id}.

Prerequisites

  • Dataset {dataset-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments' -i -X GET

Response

200 OK

Comment collection with HAL links.

{
"_embedded" : {
"datasetComments" : [ {
"id" : "579d593f-a9f3-4f3d-9a72-21a8fa3e756e",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.754709020] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.781359",
"lastModified" : "2026-04-23T13:10:05.781359",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/579d593f-a9f3-4f3d-9a72-21a8fa3e756e",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/579d593f-a9f3-4f3d-9a72-21a8fa3e756e",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/579d593f-a9f3-4f3d-9a72-21a8fa3e756e"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/579d593f-a9f3-4f3d-9a72-21a8fa3e756e/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/579d593f-a9f3-4f3d-9a72-21a8fa3e756e",
"type" : "POST"
}
}
}, {
"id" : "08f2cf10-2015-4b5d-8d85-3af4ecd73149",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.670967544] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.697486",
"lastModified" : "2026-04-23T13:10:05.697486",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/08f2cf10-2015-4b5d-8d85-3af4ecd73149",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/08f2cf10-2015-4b5d-8d85-3af4ecd73149",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/08f2cf10-2015-4b5d-8d85-3af4ecd73149"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/08f2cf10-2015-4b5d-8d85-3af4ecd73149/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/08f2cf10-2015-4b5d-8d85-3af4ecd73149",
"type" : "POST"
}
}
}, {
"id" : "3cc984ed-0922-40c2-9042-0e5e44d7d090",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.581970038] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.609477",
"lastModified" : "2026-04-23T13:10:05.609477",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/3cc984ed-0922-40c2-9042-0e5e44d7d090",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/3cc984ed-0922-40c2-9042-0e5e44d7d090",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/3cc984ed-0922-40c2-9042-0e5e44d7d090"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/3cc984ed-0922-40c2-9042-0e5e44d7d090/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/3cc984ed-0922-40c2-9042-0e5e44d7d090",
"type" : "POST"
}
}
}, {
"id" : "6921d64b-ace0-4bfa-919b-309dd4af4651",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:04.500645703] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:04.537092",
"lastModified" : "2026-04-23T13:10:04.537093",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 3,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"comments" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments?parentId=6921d64b-ace0-4bfa-919b-309dd4af4651",
"type" : "GET"
},
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/6921d64b-ace0-4bfa-919b-309dd4af4651",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments?page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 4,
"totalPages" : 1,
"number" : 0
}
}

View a comment

GET /api/comments/{comment-id}

Returns the comment {comment-id}.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5' -i -X GET

Response

200 OK

Comment with HAL links.

{
"id" : "1bbc6975-5cd0-4347-9a56-915305c802b5",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:06.413762208] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:06.440044",
"lastModified" : "2026-04-23T13:10:06.440044",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "POST"
}
}
}

View the edit history of a comment

GET /api/comments/{comment-id}/history

Returns the edit history of the comment {comment-id}.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5/history' -i -X GET

Response

200 OK

[ {
"lastModified" : "2026-04-23T13:10:06.443",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:06.413762208] to ",
"editVersion" : "850958"
}, {
"lastModified" : "2026-04-23T13:10:06.568",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:06.540219511] to ",
"editVersion" : "850959"
} ]

View all replies to a comment

GET /api/comments/{comment-id}

Returns all replies to the comment {comment-id}.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments?parentId=6921d64b-ace0-4bfa-919b-309dd4af4651' -i -X GET

Response

200 OK

Comment with HAL links.

{
"_embedded" : {
"datasetComments" : [ {
"id" : "da5430a2-6912-45e1-b9fb-dee2b5b01093",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.073730655] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.1013",
"lastModified" : "2026-04-23T13:10:05.1013",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"parentId" : "6921d64b-ace0-4bfa-919b-309dd4af4651",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/da5430a2-6912-45e1-b9fb-dee2b5b01093",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/da5430a2-6912-45e1-b9fb-dee2b5b01093",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/da5430a2-6912-45e1-b9fb-dee2b5b01093"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/da5430a2-6912-45e1-b9fb-dee2b5b01093/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/da5430a2-6912-45e1-b9fb-dee2b5b01093",
"type" : "POST"
}
}
}, {
"id" : "337328f0-03bd-4017-9cd7-1e707dc194bf",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:04.985450821] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.012806",
"lastModified" : "2026-04-23T13:10:05.012806",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"parentId" : "6921d64b-ace0-4bfa-919b-309dd4af4651",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/337328f0-03bd-4017-9cd7-1e707dc194bf",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/337328f0-03bd-4017-9cd7-1e707dc194bf",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/337328f0-03bd-4017-9cd7-1e707dc194bf"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/337328f0-03bd-4017-9cd7-1e707dc194bf/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/337328f0-03bd-4017-9cd7-1e707dc194bf",
"type" : "POST"
}
}
}, {
"id" : "424c0a9e-79a3-4639-b8c4-baca4209c742",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:04.898464327] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:04.926254",
"lastModified" : "2026-04-23T13:10:04.926254",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"parentId" : "6921d64b-ace0-4bfa-919b-309dd4af4651",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/424c0a9e-79a3-4639-b8c4-baca4209c742",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/424c0a9e-79a3-4639-b8c4-baca4209c742",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/424c0a9e-79a3-4639-b8c4-baca4209c742"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/424c0a9e-79a3-4639-b8c4-baca4209c742/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/424c0a9e-79a3-4639-b8c4-baca4209c742",
"type" : "POST"
}
}
} ]
},
"_links" : {
"self" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments?parentId=6921d64b-ace0-4bfa-919b-309dd4af4651&page=0&size=20"
}
},
"page" : {
"size" : 20,
"totalElements" : 3,
"totalPages" : 1,
"number" : 0
}
}

Initialise a comment on a dataset

POST /api/datasets/{dataset-id}/comments

Initialises a new comment on the dataset {dataset-id}.

Prerequisites

  • Dataset {dataset-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Comment with HAL links.

{
"id" : "40da637c-2218-4c87-ace2-eeb75e0433a0",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:06.276729048",
"lastModified" : "2026-04-23T13:10:06.276729248",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"create comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/40da637c-2218-4c87-ace2-eeb75e0433a0",
"type" : "PUT"
}
}
}

Initialise a reply to a comment

POST /api/comments/{comment-id}

Initialises a new reply comment to the comment {comment-id}.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651' -i -X POST \
-H 'Content-Type: application/json'

Response

200 OK

Comment with HAL links.

{
"id" : "9ecd0682-f548-4291-8f51-868cd5237430",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.988234857",
"lastModified" : "2026-04-23T13:10:05.988235057",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"parentId" : "6921d64b-ace0-4bfa-919b-309dd4af4651",
"_links" : {
"create comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/9ecd0682-f548-4291-8f51-868cd5237430",
"type" : "PUT"
}
}
}

Create a comment

PUT /api/comments/{comment-id}

Creates the comment {comment-id}.

Prerequisites

  • The comment must have been initialised in order to create it
  • The target dataset {dataset-id} or comment {comment-id} must exist

Body

Comment resource.

{
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.852938912] to ",
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755"
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/be3bc227-9de3-421d-90dc-2836e6c00637' -i -X PUT \
-H 'Content-Type: application/json' \
-d '{
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.852938912] to ",
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755"
}'

Response

201 Created

Comment with HAL links.

{
"id" : "be3bc227-9de3-421d-90dc-2836e6c00637",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:05.852938912] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:05.925186632",
"lastModified" : "2026-04-23T13:10:05.925186832",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"edit-history" : {
"href" : "https://app.matatika.com/api/comments/be3bc227-9de3-421d-90dc-2836e6c00637/history",
"type" : "GET"
},
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/be3bc227-9de3-421d-90dc-2836e6c00637",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/be3bc227-9de3-421d-90dc-2836e6c00637",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/be3bc227-9de3-421d-90dc-2836e6c00637"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/be3bc227-9de3-421d-90dc-2836e6c00637/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/be3bc227-9de3-421d-90dc-2836e6c00637",
"type" : "POST"
}
}
}

Update a comment

PUT /api/comments/{comment-id}

Updates the comment {comment-id}.

Prerequisites

  • Comment {comment-id} must exist

Body

Comment resource.

{
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:06.302996072] to "
}
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5' -i -X GET

Response

200 OK

Comment with HAL links.

{
"id" : "1bbc6975-5cd0-4347-9a56-915305c802b5",
"message" : "SIT-generated reply Pesho [2026-04-23T13:10:06.413762208] to ",
"likeCount" : 0,
"likedByProfiles" : [ ],
"created" : "2026-04-23T13:10:06.440044",
"lastModified" : "2026-04-23T13:10:06.440044",
"from" : {
"id" : "auth0|5eb0327cbfd7490bff55feeb",
"name" : "sit+prod@matatika.com",
"handle" : "@sit+prod"
},
"commentCount" : 0,
"datasetId" : "fd363443-07dd-4bda-96c7-19431ced0755",
"_links" : {
"update comment" : {
"href" : "https://app.matatika.com/api/datasets/fd363443-07dd-4bda-96c7-19431ced0755/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "PUT"
},
"delete comment" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "DELETE"
},
"self" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5"
},
"add like" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5/like",
"type" : "PUT"
},
"new reply" : {
"href" : "https://app.matatika.com/api/comments/1bbc6975-5cd0-4347-9a56-915305c802b5",
"type" : "POST"
}
}
}

Record a like of a comment

PUT /api/comments/{comment-id}/like

Records a like of the comment {comment-id} from the authenticated user profile.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651/like' -i -X PUT \
-H 'Content-Type: application/json'

Response

200 OK

No response body provided.


Remove a like from a comment

DELETE /api/comments/{comment-id}/like

Removes a like of the comment {comment-id} from the authenticated user profile.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/6921d64b-ace0-4bfa-919b-309dd4af4651/like' -i -X DELETE

Response

204 No Content

No response body provided.


Delete a comment

DELETE /api/comments/{comment-id}

Deletes the comment {comment-id}.

Prerequisites

  • Comment {comment-id} must exist
Examples
curl -H "Authorization: Bearer $ACCESS_TOKEN" 'https://app.matatika.com/api/comments/ff83b300-1480-430d-ba4b-756e0d83bc79' -i -X DELETE

Response

204 No Content

No response body provided.